Subject: Re: [PATCH] Prevent crash on ip_conntrack removal

From: Patrick McHardy <[email-masked]>
Date: Sun, 29 Aug 2004 23:58:06 +0200

David S. Miller wrote:

>>>Does 2.4.x have this problem too?  I thought it didn't.
>>>      
>>>
>>I'll have a look, but I think it does.
>>

2.4 has the same problem. Before I post the patch, 2.4 seems to be
missing this patch, do you already have it queued or should I send
a 2.4 version first ?

[email-masked], 2004-08-18 14:28:05-07:00, [email-masked]
  [IPV4]: Fix theoretical loop on SMP in ip_evictor().
  
  Snapshot the amount of work to do, and just do it.
  In this way we avoid a theoretical loop whereby
  one cpu sits in ip_evictor() tossing fragments
  while another keeps adding a fragment just as we
  bring ip_frag_mem  down below the low threshold.
  
  Signed-off-by: David S. Miller <[email-masked]>